clang 10.0.0git

Functions
CodeCompleteConsumer.cpp File Reference
`#include "clang/Sema/CodeCompleteConsumer.h"`
`#include "clang-c/Index.h"`
`#include "clang/AST/Decl.h"`
`#include "clang/AST/DeclBase.h"`
`#include "clang/AST/DeclObjC.h"`
`#include "clang/AST/DeclTemplate.h"`
`#include "clang/AST/DeclarationName.h"`
`#include "clang/AST/Type.h"`
`#include "clang/Basic/IdentifierTable.h"`
`#include "clang/Lex/Preprocessor.h"`
`#include "clang/Sema/Sema.h"`
`#include "llvm/ADT/SmallString.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/ADT/Twine.h"`
`#include "llvm/Support/Casting.h"`
`#include "llvm/Support/Compiler.h"`
`#include "llvm/Support/ErrorHandling.h"`
`#include "llvm/Support/FormatVariadic.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <algorithm>`
`#include <cassert>`
`#include <cstdint>`
`#include <string>`
Include dependency graph for CodeCompleteConsumer.cpp:

Go to the source code of this file.

## Functions
static std::string | getOverloadAsString (const CodeCompletionString &CCS)
static AvailabilityResult | getDeclAvailability (const Decl *D)
| Retrieve the effective availability of the given declaration. More...

## Function Documentation

## ◆ getDeclAvailability()

static AvailabilityResult getDeclAvailability | ( | const Decl * | D | ) |
| static

Retrieve the effective availability of the given declaration.

Definition at line 663 of file CodeCompleteConsumer.cpp.

References clang::AR_Available, clang::AR_Deprecated, clang::AR_NotYetIntroduced, clang::AR_Unavailable, CXAvailability_Available, CXAvailability_Deprecated, CXAvailability_NotAccessible, CXAvailability_NotAvailable, CXCursor_NotImplemented, CXCursor_ObjCInterfaceDecl, CXCursor_ObjCProtocolDecl, CXCursor_UnexposedDecl, clang::CodeCompletionString::getAvailability(), clang::Decl::getAvailability(), clang::getCursorKindForDecl(), clang::Decl::getDeclContext(), and max().

## ◆ getOverloadAsString()

static std::string getOverloadAsString | ( | const CodeCompletionString & | CCS | ) |
| static

Definition at line 619 of file CodeCompleteConsumer.cpp.

References clang::C, clang::CodeCompletionString::CK_CurrentParameter, clang::CodeCompletionString::CK_Informative, clang::CodeCompletionString::CK_Optional, clang::CodeCompletionString::CK_ResultType, and clang::Result.

Referenced by clang::PrintingCodeCompleteConsumer::ProcessOverloadCandidates().